PagePublishedPosts
| Tên | Mô tả |
|---|---|
| Quyền truy cập nội dung công khai trên Trang | This feature permission may be required. |
GET /v25.0/{page-id}/published_posts HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{page-id}/published_posts',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{page-id}/published_posts",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{page-id}/published_posts",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{page-id}/published_posts"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];limit. Nếu cố đọc nhiều hơn số lượng này thì bạn sẽ nhận được thông báo lỗi không được vượt quá 100./{page-id}/tagged để hiển thị các bài viết đã gắn thẻ Trang này, kết quả sẽ bao gồm các bài viết của Trang khác chỉ khi những Trang đó là xác thực.source cho /page/feed và /page/posts sẽ chỉ được trả về cho video của Trang khi Người dùng gửi yêu cầu chính là quản trị viên của Trang sở hữu.Đọc từ cạnh này sẽ trả về một kết quả JSON đã định dạng:
{ "
data": [], "paging": {}, "summary": {} }
datapagingsummaryThông tin tổng hợp về cạnh, chẳng hạn số lượng. Hãy chỉ định các trường để tìm nạp trong thông số tóm tắt (như summary=total_count).
| Trường | Mô tả |
|---|---|
total_countunsigned int32 | total_count |
| Lỗi | Mô tả |
|---|---|
| 80001 | There have been too many calls to this Page account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting. |
| 100 | Invalid parameter |
| 200 | Permissions error |
| 210 | User not visible |
| 190 | Invalid OAuth 2.0 Access Token |
| 283 | That action requires the extended permission pages_read_engagement and/or pages_read_user_content and/or pages_manage_ads and/or pages_manage_metadata |
| 104 | Incorrect signature |
| 2500 | Error parsing graph query |